Il y a actuellement 67 visiteurs
Jeudi 01 Octobre 2020
accueilactualitésdossierscomparer les prixtélécharger gratuitement vos logicielsoffres d'emploiforum informatique
Connexion
Créer un compte

conflit à l'installation de mysql-devel

L'informatique, ce n'est pas qu'un PC équipé de Windows. Ce forum est dédié aux utilisateurs de systèmes d'exploitation dérivés d'unix (GNU/Linux, *BSD, etc...) et aux autres OS alternatifs.

conflit à l'installation de mysql-devel

Message le 22 Jan 2014 12:37

Bonjour,

Je travail sur une distribution CentOS 5.10 sur laquelle est installé Centreon enterprise server.
Afin de tester un module d'autodiscovery j'ai besoin d'installer mysql-devel, cependant je rencontre un problème au cours de l'installation et je ne sais pas comment le résoudre.
Il me dit que plusieurs fichiers sont en conflit avec une version plus récente.

Voici les messages d'erreur exactes:

Transaction Check Error:
package mysql-devel-5.5.34-1.el5.remi.x86_64 (which is newer than mysql-devel-5.0.95-5.el5_9.i386) is already installed
package mysql-5.5.34-1.el5.remi.x86_64 (which is newer than mysql-5.0.95-5.el5_9.i386) is already installed
file /etc/my.cnf from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/charsets/Index.xml from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/charsets/armscii8.xml from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/charsets/ascii.xml from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/charsets/cp1250.xml from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/charsets/cp1251.xml from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/charsets/cp1256.xml from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/charsets/cp1257.xml from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/charsets/cp850.xml from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/charsets/cp852.xml from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/charsets/cp866.xml from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/charsets/dec8.xml from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/charsets/geostd8.xml from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/charsets/greek.xml from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/charsets/hebrew.xml from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/charsets/hp8.xml from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/charsets/keybcs2.xml from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/charsets/koi8r.xml from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/charsets/koi8u.xml from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/charsets/latin1.xml from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/charsets/latin2.xml from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/charsets/latin5.xml from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/charsets/latin7.xml from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/charsets/macce.xml from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/charsets/macroman.xml from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/charsets/swe7.xml from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/czech/errmsg.sys from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/danish/errmsg.sys from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/dutch/errmsg.sys from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/english/errmsg.sys from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/estonian/errmsg.sys from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/french/errmsg.sys from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/german/errmsg.sys from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/greek/errmsg.sys from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/hungarian/errmsg.sys from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/italian/errmsg.sys from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/japanese/errmsg.sys from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/korean/errmsg.sys from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/norwegian-ny/errmsg.sys from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/norwegian/errmsg.sys from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/polish/errmsg.sys from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/portuguese/errmsg.sys from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/romanian/errmsg.sys from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/russian/errmsg.sys from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/serbian/errmsg.sys from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/slovak/errmsg.sys from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/spanish/errmsg.sys from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/swedish/errmsg.sys from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/share/mysql/ukrainian/errmsg.sys from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-libs-5.5.34-1.el5.remi.x86_64
file /usr/bin/mysqlaccess from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-5.5.34-1.el5.remi.x86_64
file /usr/share/man/man1/my_print_defaults.1.gz from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-5.5.34-1.el5.remi.x86_64
file /usr/share/man/man1/mysql.1.gz from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-5.5.34-1.el5.remi.x86_64
file /usr/share/man/man1/mysql_config.1.gz from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-5.5.34-1.el5.remi.x86_64
file /usr/share/man/man1/mysql_find_rows.1.gz from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-5.5.34-1.el5.remi.x86_64
file /usr/share/man/man1/mysql_waitpid.1.gz from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-5.5.34-1.el5.remi.x86_64
file /usr/share/man/man1/mysqlaccess.1.gz from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-5.5.34-1.el5.remi.x86_64
file /usr/share/man/man1/mysqladmin.1.gz from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-5.5.34-1.el5.remi.x86_64
file /usr/share/man/man1/mysqldump.1.gz from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-5.5.34-1.el5.remi.x86_64
file /usr/share/man/man1/mysqlshow.1.gz from install of mysql-5.0.95-5.el5_9.i386 conflicts with file from package mysql-5.5.34-1.el5.remi.x86_64


Merci de votre aide.
Ps: je débute sous Linux donc soyez précis dans vos explications svp


Orwell
orwell
Visiteur
Visiteur
 
Messages: 2
Inscription: 22 Jan 2014 12:34
 


Re: conflit à l'installation de mysql-devel

Message le 22 Jan 2014 17:16

orwell a écrit:Il me dit que plusieurs fichiers sont en conflit avec une version plus récente.
Transaction Check Error:
package mysql-devel-5.5.34-1.el5.remi.x86_64 (which is newer than mysql-devel-5.0.95-5.el5_9.i386) is already installed
package mysql-5.5.34-1.el5.remi.x86_64 (which is newer than mysql-5.0.95-5.el5_9.i386) is already installed

... version plus récente qui est visiblement déjà installée donc.
Donc, théoriquement, tu as déjà mysql-devel sur cette machine.

Peux-tu juste nous préciser comment tu essayes d'installermysql-devel-5.0.95-5 ? Avec quelle ligne de commande, est-ce un package que tu as téléchargé ?
Libérez-vous : http://www.debian.org
Nobody knows what sysadmin does... until he stops doing it
Avatar de l'utilisateur
CaSa
PC-Infopraticien
PC-Infopraticien
 
Messages: 8978
Inscription: 13 Mai 2003 16:32
Localisation: Sisteron... et jamais loin d'une Debian
 

Re: conflit à l'installation de mysql-devel

Message le 22 Jan 2014 18:19

Bonjour CaSa,

Je lance seulement la commande suivante:
yum install mysql-devel

Mais là j'ignore ce qu'il s'est passé mais l'installation (install.sh) du module d'autodiscrovery ne m'indique plus que mysql-devel n'est pas installé.

Je vais donc poursuivre mon installation et j'ouvrirai un autre post si je rencontre un autre souci.
Donc ne te casse pas la tête sur mon problème qui semble être résolu tout seul.
Merci pour ton aide

Orwell
orwell
Visiteur
Visiteur
 
Messages: 2
Inscription: 22 Jan 2014 12:34
 



Sujets similaires

Message [Réglé] message d'erreur lors installation firefox
Salut tout le monde j'avais un problème sur Firefox d'un coup il ne fonctionnai plus plus aucunes pages n?apparaissaient et il buggait j'ai désinstaller Firefox mais voila que à la fin de l'installation il me laisse un message d?erreur et impossible de me servir de Firefox dernière version ..... ...
Réponses: 11

Message Demande d'installation de la fibre à la mairie
Bonjour, j'ai entendu dire qu'il était possible de faire une demande d'installation de la fibre dans nos villes directement à la mairie. C'est vrai ? Si oui, dans ce cas, à qui faut-il faire la demande et est-ce qu'elle va vraiment être prise en compte ? Car ça m'intéresserait de le faire.
Réponses: 6

Message Installation de carte graphique
Bonjour, j'ai acheté une carte graphique Sapphire Radeon RX 550 Pulse Lite 2 GO pour dépanner sur matériel.net https://www.materiel.net/produit/202004020086.htmlMais arrivant à la maison et en essayant de l'installer je me rend compte qu'il n'y a pas de prise pour l'alimentation...J'e beau la regard ...
Réponses: 14

Message Suite problème Installation .NET Framework 3.5
Je passe sur cette section du forum après les indications de heracles et de routman sur le post suivant :viewtopic-87451-0-asc-15.htmlJ'ia donc effectué l'analyse FRST et voici les 3 fichiers joints :https://www.cjoint.com/c/JEmi7oL2VBnhttps://www.cjoint.com/c/JEmi7Gt4kgnhttps://www.cjoint.com/c/JEm ...
Réponses: 135

Message installation de Windows 7
Bonjours a toutes et tous .Je vous expose mon problème, j'ai changer de pc j'ai pris un HP Pav Gaming 690-0034 équiper de windows 10 64 bits. Avec pour stockage un SSD WDC PC SN520 de 128G Giga un deuxième de 1 To qui est nommé DATA avec un programme nommé Recovery pour réinstaller Windows 10 . Sur ...
Réponses: 2

Message Tuto resoudre un problème d'installation de Windows en UEFI
Suite à un changement de matériel ou à une fausse man?uvre lors de l'installation de Windows en UEFI il arrive que le message suivant soit inscrit: "impossible d'installer Windows sur le lecteur ....(afficher détail)le détail expliquant, par exemple que le lecteur n'est pas en GPT....mais pas ...
Réponses: 0

Message [Réglé] Installation .NET Framework 3.5
Bonjour,j'essaye depuis quelques jour d'installer la fonctionnalité .NET Framework 3.5 apparemment nécessaire à l'utilisation de certains logiciel/jeuxCependant, j'obtient toujours un message d'erreur après le début du téléchargement :"La fonctionnalité suivante n'a pas pu être installée :.Net ...
Réponses: 24


Qui est en ligne

Utilisateurs parcourant ce forum: Aucun utilisateur enregistré et 1 invité


.: Nous contacter :: Flux RSS :: Données personnelles :.